Bludit v4 - Alpha version

User avatar
diego
Site Admin
Posts: 764
Joined: Sat May 16, 2015 2:53 pm
Contact:

The next major version of Bludit is coming and with them a lot of changes. These days, I will release a few Alpha versions to test them, feedback and help in the development process are welcome.

You can find and download the new versions here, click on "Assets" and download the ".zip" file.
https://github.com/bludit/bludit/releases

The GitHub branch for version 4.0 is this one:
https://github.com/bludit/bludit/tree/v4.0

The highlight for version 4.0.
https://blog.bludit.com/bludit-4-road-map
User avatar
diego
Site Admin
Posts: 764
Joined: Sat May 16, 2015 2:53 pm
Contact:

Bludit v4.0.0 Alpha 4. Bugfix for installation inside a folder. #Bluditv4

https://github.com/bludit/bludit/releas ... 0.0-alpha4
User avatar
Jay
Master Bludit
Posts: 133
Joined: Mon Feb 11, 2019 8:41 pm

Diego, is the current stage of development only a bug hunt/fix or are you going to implement more features not listed in https://blog.bludit.com/bludit-4-road-map ?

btw. what will be the best method to migrate from 3.13?
I was thinking about launching a fresh install under a subdomain, move everything bit by bit tweaking it on the fly, and then move everything replacing production version.
Will there be something like import settings&data through api?

I've also made some modifications in some of the builtin plugins thus my next question is towards the compatibility between plugins in 3.13 and 4.0.
Will I have to make changes in new plugs or I can seamlessly use old versions?
ionicnova
Ssr. Bludit
Posts: 20
Joined: Fri Oct 05, 2018 9:05 am

must saying i'm looking forwward to the new version.
i'll probably wait until v4 stable however.
don't have a test environment any more for testing (though i suppose i could set one up)
letontop
Jr. Bludit
Posts: 5
Joined: Sun Feb 07, 2021 4:14 am

Hello, I use 3.13.1 to develop a theme。
In 4.0, nothing is displayed。
I don't know where the problem is :?:
User avatar
Edi
Site Admin
Posts: 2540
Joined: Sun Aug 09, 2015 5:01 pm
Location: Zurich
Contact:

letontop wrote: Mon Oct 25, 2021 7:13 pm Hello, I use 3.13.1 to develop a theme。
In 4.0, nothing is displayed。:
Because v3.13.1 is not v4.0.0. ;-)

Please use Bludit v4.0.0 Beta 2:

https://github.com/bludit/bludit/releas ... .0.0-beta2
Planet Bludit, Tipps, Snippets und nützliche Links. - Newsletter, Informationen zu Bludit (auf Deutsch).
User avatar
bayerberg
Master Bludit
Posts: 131
Joined: Wed Jun 07, 2017 1:05 pm
Contact:

I'm not sure when I publish pages - this needs to be reverted to what worked in 3.x. Dont mess with UX that works!
bludit plugins and themes - makeitblu | I do things, check them out on behance | check out startups undiluted - london's startup ecosystem
User avatar
Edi
Site Admin
Posts: 2540
Joined: Sun Aug 09, 2015 5:01 pm
Location: Zurich
Contact:

Bludit v4 Alpha and Beta are for test purposes only.

There is a clear warning from Diego, the developer: "Please do not update your current installation of Bludit v3 with this version, I didn't test the update from v3, and there are broken changes."

Stay patient please. ;-)
Planet Bludit, Tipps, Snippets und nützliche Links. - Newsletter, Informationen zu Bludit (auf Deutsch).
wmcig
Ssr. Bludit
Posts: 18
Joined: Tue Jun 20, 2017 5:32 pm

I would like to test the beta 2 Version. I installed bludit on my local nginx Server. But I can not read the 2 articles. Everytime I got an 404 error.

Tried to follow this tutorial: https://www.atlantic.net/vps-hosting/ho ... ntu-20-04/

Maybe something is wrong. Please help.
User avatar
Edi
Site Admin
Posts: 2540
Joined: Sun Aug 09, 2015 5:01 pm
Location: Zurich
Contact:

Which version of PHP do you use?

Shows the log file any errors?
Planet Bludit, Tipps, Snippets und nützliche Links. - Newsletter, Informationen zu Bludit (auf Deutsch).
Post Reply